package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.TmstruckMeasureCommissionServiceImpl;
import com.steerinfo.dil.service.impl.TmstruckWeightResultServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/25 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/tmstruckmeasurecommission")
public class TmstruckMeasureCommissionController extends BaseRESTfulController {

    @Autowired
    TmstruckMeasureCommissionServiceImpl tmstruckMeasureCommissionService;

    /**
     * 推送运输订单信息(计量委托)
     *
     * @param orderNumber
     * @return
     */
    @ApiModelProperty(value = "推送运输订单信息(计量委托)")
    @PostMapping("/pushTruckWeightApply")
    public int pushTruckWeightApply(@RequestParam String orderNumber,
                                    Integer type) {
        Map<String,Object> resultMap = tmstruckMeasureCommissionService.pushTruckWeightApply(orderNumber,type);
        return 0;
    }


}
