package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface AmsSaleOrderMapper extends IBaseMapper<AmsSaleOrder, BigDecimal> {
    // 得到销售订单信息
    Map<String, Object> getSaleOrderMessage(BigDecimal saleOrderId);

    // 得到销售订单下的所有车序号
    List<Map<String, Object>> getTruckNo(BigDecimal saleOrderId);
}