package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TmstruckWeightResultMapper extends IBaseMapper<TmstruckWeightResult, Short> {

    // 得到计重实绩主键id
    BigDecimal getWeightTaskResultId(String orderNumber);

    // 得到汽车衡id
    BigDecimal getTruckCalculateId(String resultCalculateNumber);

}