package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.TmstruckQualityResultMapper;
import com.steerinfo.dil.model.TmstruckQualityResult;
import com.steerinfo.dil.service.ITmsTruckQualityResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-10-27 14:28
 */
@Service
public class TmsTruckQualityService implements ITmsTruckQualityResultService {
    @Autowired
    TmstruckQualityResultMapper tmstruckQualityResultMapper;

    @Override
    public TmstruckQualityResult selectResult(BigDecimal bigDecimal) {
        return tmstruckQualityResultMapper.selectByPrimaryKey(bigDecimal);
    }

    @Override
    public int updateQuality(Map<String, Object> map1) {
        return tmstruckQualityResultMapper.updateQuality(map1);
    }
}
